$XS: 480px;
$SM: 768px;
$MD: 1024px;
$XL: 1170px;

// media queries

@mixin Orientation($device) {
  @if $device==Portrait {
    @media screen and (max-aspect-ratio: 13/9) {
      @content;
    }
  }

  @else {
    @media screen and (min-aspect-ratio: 13/9) {
      @content;
    }
  }
}

@mixin Responsive($canvas) {
  @if $canvas==XS {
    @media screen and (max-width: $XS) {
      @content;
    }
  }

  @else if $canvas==SM {
    @media screen and (max-width: $SM) {
      @content;
    }
  }

  @else if $canvas==MD {
    @media screen and (max-width: $MD) {
      @content;
    }
  }

  @else if $canvas==XL {
    @media screen and (max-width: $XL) {
      @content;
    }
  }
}